Print Friendly

# Class Ext.LayoutManager

Package: | Ext
Class: | LayoutManager
Extends: | Observable
Subclasses: | BorderLayout
Defined In: | LayoutManager.js

Base class for layout managers.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| monitorWindowResize : Boolean | LayoutManager
false to disable window resize monitoring

## Public Methods

Method | Defined By
--- | ---
| addEvents(`Object object`) : void | Observable
Copies any events from the passed object onto this object if they do not already exist. The passed object must also ...
| addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`]) : void | Observable
Appends an event handler to this component
| beginUpdate() : void | LayoutManager
Suspend the LayoutManager from doing auto-layouts while making multiple add or remove calls
| endUpdate(`Boolean noLayout`) : void | LayoutManager
Restore auto-layouts and optionally disable the manager from performing a layout
| fireEvent(`String eventName`, `Object... args`) : Boolean | Observable
Fires the specified event with the passed parameters (minus the event name).
| getEl() : Ext.Element | LayoutManager
Returns the element this layout is bound to.
| getRegion(`String target`) : Ext.LayoutRegion | LayoutManager
Returns the specified region.
| getViewSize() : Object | LayoutManager
Returns the size of the current view, This method normalizes document.body and element embedded layouts and performs ...
| hasListener(`String eventName`) : Boolean | Observable
Checks to see if this object is currently listening for a specified event
| isUpdating() : Boolean | LayoutManager
Returns true if this layout is currently being updated
| on(`String eventName`, `Function handler`, [`Object options`]) : void | Observable
Appends an event handler to this element (shorthand for addListener)
| purgeListeners() : void | Observable
Removes all listeners for this object
| removeListener(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener
| un(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener (shorthand for removeListener)

## Public Events

Event | Defined By
--- | ---
| layout : (`Ext.LayoutManager this`) | LayoutManager
Fires when a layout is performed.
| regioncollapsed : (`Ext.LayoutRegion region`) | LayoutManager
Fires when a region is collapsed.
| regionexpanded : (`Ext.LayoutRegion region`) | LayoutManager
Fires when a region is expanded.
| regionresized : (`Ext.LayoutRegion region`, `Number newSize`) | LayoutManager
Fires when the user resizes a region.

## Property Details

### monitorWindowResize

`public Boolean monitorWindowResize`
false to disable window resize monitoring
This property is defined by LayoutManager.

## Method Details

### addEvents

`public function addEvents(`Object object`)`
Copies any events from the passed object onto this object if they do not already exist. The passed object must also inherit from Observable for this method to have any effect.
Parameters:

- `object` : Object
  The object from which to copy events

Returns:

- `void`

This method is defined by Observable.

### addListener

`public function addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`])`
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope {Object} The scope in which to execute the handler function. The handler function's "this" context.
  - delegate {String} A simple selector to filter the target or look for a descendant of the target
  - stopEvent {Boolean} True to stop the event. That is stop propagation, and prevent the default action.
  - preventDefault {Boolean} True to prevent the default action
  - stopPropagation {Boolean} True to prevent event propagation
  - normalized {Boolean} False to pass a browser event to the handler function instead of an Ext.EventObject
  - delay {Number} The number of milliseconds to delay the invocation of the handler after te event fires.
  - single {Boolean} True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

  Code:

      el.on('click', this.onClick, this, { single: true, delay: 100, stopEvent : true, forumId: 4 });

  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

  Attaching multiple handlers in 1 call
  Code:

      el.on({ 'click' : { fn: this.onClick scope: this, delay: 100 }, 'mouseover' : { fn: this.onMouseOver scope: this }, 'mouseout' : { fn: this.onMouseOut scope: this } });

  Or a shorthand syntax:
  Code:

      el.on({ 'click' : this.onClick, 'mouseover' : this.onMouseOver, 'mouseout' : this.onMouseOut scope: this });

Returns:

- `void`

This method is defined by Observable.

### beginUpdate

`public function beginUpdate()`
Suspend the LayoutManager from doing auto-layouts while making multiple add or remove calls
Parameters:

- None.

Returns:

- `void`

This method is defined by LayoutManager.

### endUpdate

`public function endUpdate(`Boolean noLayout`)`
Restore auto-layouts and optionally disable the manager from performing a layout
Parameters:

- `noLayout` : Boolean
  true to disable a layout update

Returns:

- `void`

This method is defined by LayoutManager.

### fireEvent

`public function fireEvent(`String eventName`, `Object... args`)`
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

This method is defined by Observable.

### getEl

`public function getEl()`
Returns the element this layout is bound to.
Parameters:

- None.

Returns:

- `Ext.Element`

This method is defined by LayoutManager.

### getRegion

`public function getRegion(`String target`)`
Returns the specified region.
Parameters:

- `target` : String
  The region key

Returns:

- `Ext.LayoutRegion`

This method is defined by LayoutManager.

### getViewSize

`public function getViewSize()`
Returns the size of the current view, This method normalizes document.body and element embedded layouts and performs box-model adjustments.
Parameters:

- None.

Returns:

- `Object`
  The size as an object {width: (the width), height: (the height)}

This method is defined by LayoutManager.

### hasListener

`public function hasListener(`String eventName`)`
Checks to see if this object is currently listening for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

This method is defined by Observable.

### isUpdating

`public function isUpdating()`
Returns true if this layout is currently being updated
Parameters:

- None.

Returns:

- `Boolean`

This method is defined by LayoutManager.

### on

`public function on(`String eventName`, `Function handler`, [`Object options`])`
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `options` : Object
  (optional)

Returns:

- `void`

This method is defined by Observable.

### purgeListeners

`public function purgeListeners()`
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

This method is defined by Observable.

### removeListener

`public function removeListener(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### un

`public function un(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

## Event Details

### layout

`public event layout`
Fires when a layout is performed.
Subscribers will be called with the following parameters:

- `this` : Ext.LayoutManager

This event is defined by LayoutManager.

### regioncollapsed

`public event regioncollapsed`
Fires when a region is collapsed.
Subscribers will be called with the following parameters:

- `region` : Ext.LayoutRegion

This event is defined by LayoutManager.

### regionexpanded

`public event regionexpanded`
Fires when a region is expanded.
Subscribers will be called with the following parameters:

- `region` : Ext.LayoutRegion

This event is defined by LayoutManager.

### regionresized

`public event regionresized`
Fires when the user resizes a region.
Subscribers will be called with the following parameters:

- `region` : Ext.LayoutRegion
- `newSize` : Number
  The new size (width for east/west, height for north/south)

This event is defined by LayoutManager.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.